import importlib.util

from config.config import PICTURE_MAKER

picture_maker = None

def init():
    global picture_maker
    try:
        spec = importlib.util.spec_from_file_location("picture_maker", PICTURE_MAKER)
        picture_maker = importlib.util.module_from_spec(spec)
        spec.loader.exec_module(picture_maker)
    except:
        raise ImportError(f"Cannot load PictureMaker module: {PICTURE_MAKER}")